org.eclipse.gef.dot.internal.ui.language.highlighting

## Class DotAntlrTokenToAttributeIdMapper

- java.lang.Object
- - org.eclipse.xtext.ui.editor.model.TokenTypeToStringMapper
  - - org.eclipse.xtext.ui.editor.syntaxcoloring.AbstractAntlrTokenToAttributeIdMapper
    - - org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultAntlrTokenToAttributeIdMapper
      - - org.eclipse.gef.dot.internal.ui.language.highlighting.DotAntlrTokenToAttributeIdMapper

    public class DotAntlrTokenToAttributeIdMapper
    extends org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultAntlrTokenToAttributeIdMapper

A lexical highlighter that takes care of handling DOT lexer tokens properly.

### Constructor Summary

Constructors
Constructor and Description
`DotAntlrTokenToAttributeIdMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `calculateId(java.lang.String tokenName, int tokenType)`

### Methods inherited from class org.eclipse.xtext.ui.editor.syntaxcoloring.AbstractAntlrTokenToAttributeIdMapper

`getId`

### Methods inherited from class org.eclipse.xtext.ui.editor.model.TokenTypeToStringMapper

`getMappedValue, initIds, setTokenDefProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotAntlrTokenToAttributeIdMapper

    public DotAntlrTokenToAttributeIdMapper()

### Method Detail

#### calculateId

    protected java.lang.String calculateId(java.lang.String tokenName,
                                           int tokenType)

Overrides:
  `calculateId` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultAntlrTokenToAttributeIdMapper`